Bug 1122199 - Very slow email send
Summary: Very slow email send
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Crha
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 18:28 UTC by Russell Doty
Modified: 2016-04-04 16:53 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 21:41:54 UTC


Attachments (Terms of Use)

Description Russell Doty 2014-07-22 18:28:44 UTC
Description of problem:

Sending an email is very slow and blocking - it often takes ~30 seconds (sometimes longer) from when you hit send to when you can do the next email operation.

Version-Release number of selected component (if applicable):

Evolution 3.10.4

How reproducible:

Every time. Delay varies, but usually 15-30 seconds.


Steps to Reproduce:
1. Write an email message
2. Send it
3.

Actual results:

Substantial delay when sending message. Blocks the system - for example, you can't read any additional messages until the send operation completes.

Expected results:

Rapid sending of message - 1-2 seconds. If the message can't be sent this quickly, the system should be non-blocking and allow reading and sending other messages.

Additional info:

Comment 1 Milan Crha 2014-07-23 12:58:45 UTC
Thanks for a bug report. It sounds like the main thread is stuck in something for you, while it works fine here. Could you install debuginfo packages for evolution-data-server and evolution and then capture a backtrace of the stuck evolution process, please? You can do that with this gdb command:
   $ gdb --batch --ex "t a a bt" -pid=`pidof evolution` &>bt.txt
Please check the bt.txt for any private information, like passwords, email address, server addresses,... I usually search for "pass" at least (quotes for clarity only).

Comment 2 Fedora Admin XMLRPC Client 2014-09-04 14:30:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora End Of Life 2015-05-29 12:26:29 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2015-06-29 21:41:54 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 5 Russell Doty 2016-04-04 13:35:32 UTC
Adding comment to clear needinfo.

Currently running F23. Send requires several seconds but is acceptable.

Comment 6 Milan Crha 2016-04-04 16:53:01 UTC
It can be due to the evolution connecting to the SMTP server, waiting for a response from it or something like that. Running evolution as:
   $ CAMEL_DEBUG=smtp evolution
and sending the message will show a little progress about what was sent and what was received to/from the server. Just if you'd like to have a closer look on what the evolution does.


Note You need to log in before you can comment on or make changes to this bug.